[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'StrUtils' (#rtl)

# IntToRoman

Represent an integer with roman numerals

## Declaration

Source position: strutils.pp line 226

`function IntToRoman(`
`Value: LongInt`
`):string;`

## Arguments

`Value` |  | Value to convert

## Function result

Value in roman numerals

## Description

IntToRoman converts Value to a string with the Roman representation of Value. Number up to 1 million can be represented this way.

## Errors

None.

## See also

RomanToInt |  | Convert a string with a Roman number to it's decimal value.
Hex2Dec |  | Converts a hexadecimal string to a decimal value
IntToBin |  | Converts an integer to a binary string representation, inserting spaces at fixed locations.